SDL_SetTrayEntryChecked(3)

NAME
SDL_SetTrayEntryChecked - Sets whether or not an entry is checked.

SYNOPSIS
#include <SDL3/SDL_tray.h>

void SDL_SetTrayEntryChecked(SDL_TrayEntry *entry, bool checked);

DESCRIPTION
The entry must have been created with the SDL_TRAYENTRY_CHECKBOX flag.

FUNCTION PARAMETERS

entry
    the entry to be updated.

checked
    true if the entry should be checked; false otherwise.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetTrayEntries(3), SDL_InsertTrayEntryAt(3), SDL_GetTrayEntryChecked(3)